DynamicJava Javadoc: Class TreeCompiler.ClassInfoLoader

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.interpreter
Class TreeCompiler.ClassInfoLoader

    java.lang.Object
      |
      +--java.lang.ClassLoader
            |
            +--koala.dynamicjava.interpreter.TreeCompiler.ClassInfoLoader

Enclosing class:
  TreeCompiler

protected class TreeCompiler.ClassInfoLoader
extends java.lang.ClassLoader

To load class infos instead of classes

Constructor Summary
`protected` | `TreeCompiler.ClassInfoLoader()`

Method Summary
`protected java.lang.Class` | `findClass(java.lang.String name)` Finds the specified class.

Methods inherited from class java.lang.ClassLoader
`defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, resolveClass, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeCompiler.ClassInfoLoader

    protected TreeCompiler.ClassInfoLoader()

Method Detail

### findClass

    protected java.lang.Class findClass(java.lang.String name)
                                 throws java.lang.ClassNotFoundException

  Finds the specified class.
  Overrides:
    `findClass` in class `java.lang.ClassLoader`
  Parameters:
    `name` - the name of the class
  Returns:
    the resulting `Class` object
  Throws:
    `java.lang.ClassNotFoundException` - if the class could not be find

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.